Bug 457655 - BUG at fs/jbd2/transaction.c:984! invalid opcode: 0000
BUG at fs/jbd2/transaction.c:984! invalid opcode: 0000
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-02 19:55 EDT by Tom London
Modified: 2008-08-23 16:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-23 16:37:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-08-02 19:55:13 EDT
Description of problem:
I get this Oops each time I try to rsync my system to an ext4 file system on a USB hard drive.

The system does not freeze, but rsync does, and shutdown (or anything doing a "sync") appears not to terminate/complete.

kerneloops'ed here: http://www.kerneloops.org/raw.php?rawid=47197&msgid=


kernel BUG at fs/jbd2/transaction.c:984!
invalid opcode: 0000 [#1] SMP DEBUG_PAGEALLOC
Modules linked in: ext4dev jbd2 crc16 usb_storage aes_i586 aes_generic i915 drm ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi scsi_transport_iscsi coretemp nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables nf_conntrack_netbios_ns nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand acpi_cpufreq fuse loop dm_multipath kvm_intel kvm snd_hda_intel snd_seq_dummy snd_seq_oss arc4 snd_seq_midi_event ecb snd_seq snd_seq_device sr_mod cdrom snd_pcm_oss thinkpad_acpi crypto_blkcipher snd_mixer_oss iwl3945 snd_pcm rfkill ppdev sdhci_pci snd_timer firewire_ohci battery video hwmon firewire_core ac yenta_socket iTCO_wdt iTCO_vendor_support sdhci parport_pc mac80211 output parport snd_page_alloc ata_piix hci_usb rsrc_nonstatic crc_itu_t mmc_core snd_hwdep ata_generic cfg80211 snd e1000e i2c_i801 pata_acpi soundcore bluetooth i2c_core dm_snapshot dm_zero dm_mirror dm_log dm_mod ahci ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd

Pid: 237, comm: pdflush Not tainted (2.6.27-0.211.rc1.git3.fc10.i686 #1)
EIP: 0060:[<f966f49c>] EFLAGS: 00010246 CPU: 1
EIP is at jbd2_journal_dirty_metadata+0x80/0x110 [jbd2]
EAX: 00000000 EBX: d44255a0 ECX: e0f87270 EDX: e0f87270
ESI: d25f1300 EDI: e6ce9000 EBP: f676ab90 ESP: f676ab7c
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Process pdflush (pid: 237, ti=f676a000 task=f6a497e0 task.ti=f676a000)
Stack: e0f87270 e8d17240 e93f0000 e6ce9000 e0f87270 f676aba8 f9851c22 f985bf00 
       e93f0000 00000740 00000000 f676abe0 f985558a e6ce9000 e2c7b000 e0f87270 
       e8821640 e93f0000 e8d17670 00d90733 00000000 e9aca820 e2c7b000 d24dc910 
Call Trace:
 [<f9851c22>] ? __ext4_journal_dirty_metadata+0x1e/0x41 [ext4dev]
 [<f985558a>] ? ext4_mb_mark_diskspace_used+0x3e5/0x423 [ext4dev]
 [<f9856a71>] ? ext4_mb_new_blocks+0x1ed/0x4f6 [ext4dev]
 [<f985198b>] ? ext4_ext_get_blocks+0xb22/0xd9b [ext4dev]
 [<c0449ed4>] ? trace_hardirqs_off+0xb/0xd
 [<c044b37d>] ? __lock_acquire+0x253/0x97d
 [<f98433ad>] ? ext4_get_blocks_wrap+0xcd/0x14f [ext4dev]
 [<f9843a03>] ? ext4_da_get_block_write+0x70/0x175 [ext4dev]
 [<f9842070>] ? mpage_da_map_blocks+0xb4/0x3d4 [ext4dev]
 [<f984266b>] ? ext4_da_writepages+0x156/0x1c0 [ext4dev]
 [<c04087b6>] ? native_sched_clock+0xb3/0xd3
 [<c0408633>] ? sched_clock+0x8/0xb
 [<c044942d>] ? lock_release_holdtime+0x1a/0x115
 [<f9843993>] ? ext4_da_get_block_write+0x0/0x175 [ext4dev]
 [<f9842515>] ? ext4_da_writepages+0x0/0x1c0 [ext4dev]
 [<c047d94d>] ? do_writepages+0x28/0x39
 [<c04b590e>] ? __writeback_single_inode+0x157/0x28f
 [<c04b5dad>] ? generic_sync_sb_inodes+0x1e9/0x2ab
 [<c04b6055>] ? writeback_inodes+0x8a/0xd1
 [<c047df20>] ? background_writeout+0x78/0xa9
 [<c047e3ce>] ? pdflush+0x10c/0x1a7
 [<c047dea8>] ? background_writeout+0x0/0xa9
 [<c047e2c2>] ? pdflush+0x0/0x1a7
 [<c043e1b4>] ? kthread+0x40/0x66
 [<c043e174>] ? kthread+0x0/0x66
 [<c0404957>] ? kernel_thread_helper+0x7/0x10
 ======================
 ======================Code: 00 00 8b 07 8b 00 f6 00 02 0f 85 a2 00 00 00 8b 45 ec e8 98 fb ff ff 83 7e 0c 00 75 16 c7 46 0c 01 00 00 00 8b 47 04 85 c0 7f 04 <0f> 0b eb fe 48 89 47 04 39 5e 18 75 15 83 7e 08 01 75 0f 8b 55 
EIP: [<f966f49c>] jbd2_journal_dirty_metadata+0x80/0x110 [jbd2] SS:ESP 0068:f676ab7c
---[ end trace c90f0ebe08d82172 ]---

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Josef Bacik 2008-08-04 13:14:11 EDT
already being worked on by aneesh in his ext4_da_writepages rewrite.  At this point you may not want to use delalloc until its resolved.
Comment 2 Tom London 2008-08-09 13:33:35 EDT
Understand this is being worked upstream.  Just filing this for completeness.

Still occurs with 0.244.

------------[ cut here ]------------
kernel BUG at fs/jbd2/transaction.c:984!
invalid opcode: 0000 [#1] SMP DEBUG_PAGEALLOC
Modules linked in: ext4dev jbd2 crc16 usb_storage aes_i586 aes_generic bridge stp bnep rfcomm l2cap i915 drm ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi scsi_transport_iscsi coretemp nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables nf_conntrack_netbios_ns nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand acpi_cpufreq fuse loop dm_multipath kvm_intel kvm sr_mod cdrom ppdev thinkpad_acpi hwmon ata_piix i2c_i801 firewire_ohci ata_generic sdhci_pci snd_hda_intel i2c_core sdhci firewire_core iTCO_wdt crc_itu_t mmc_core yenta_socket pata_acpi snd_seq_dummy iTCO_vendor_support rsrc_nonstatic arc4 ecb crypto_blkcipher snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss battery snd_mixer_oss parport_pc video bay ac output parport snd_pcm iwl3945 rfkill snd_timer snd_page_alloc mac80211 hci_usb snd_hwdep e1000e bluetooth snd cfg80211 soundcore dm_snapshot dm_zero dm_mirror dm_log dm_mod ahci ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd

Pid: 237, comm: pdflush Not tainted (2.6.27-0.244.rc2.git1.fc10.i686 #1)
EIP: 0060:[<f976149c>] EFLAGS: 00010246 CPU: 1
EIP is at jbd2_journal_dirty_metadata+0x80/0x110 [jbd2]
EAX: 00000000 EBX: ea3080f0 ECX: eaae5340 EDX: eaae5340
ESI: e5e13480 EDI: dbe34000 EBP: f6a5cb64 ESP: f6a5cb50
 DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
Process pdflush (pid: 237, ti=f6a5c000 task=f6a917e0 task.ti=f6a5c000)
Stack: eaae5340 e9f9c000 c3350000 dbe34000 eaae5340 f6a5cb7c f98d2e82 f98dd340 
       c3350000 00006dc0 00000000 f6a5cbb4 f98d683b dbe34000 e82c4000 eaae5340 
       ea7821a0 c3350000 e6edee10 00c6edb2 00000000 e69a57b8 e6edee10 f6a5cce0 
Call Trace:
 [<f98d2e82>] ? __ext4_journal_dirty_metadata+0x1e/0x41 [ext4dev]
 [<f98d683b>] ? ext4_mb_mark_diskspace_used+0x3e5/0x423 [ext4dev]
 [<f98d7edd>] ? ext4_mb_new_blocks+0x1ed/0x639 [ext4dev]
 [<f98d0688>] ? ext4_ext_find_extent+0x163/0x225 [ext4dev]
 [<f98d2beb>] ? ext4_ext_get_blocks+0xb06/0xd7f [ext4dev]
 [<c0682c5c>] ? rwsem_down_failed_common+0x26/0x85
 [<f98c4354>] ? ext4_get_blocks_wrap+0xcd/0x1e5 [ext4dev]
 [<c044ab70>] ? trace_hardirqs_on_caller+0x16/0x11a
 [<f98c4a40>] ? ext4_da_get_block_write+0x70/0x175 [ext4dev]
 [<f98c3017>] ? mpage_da_map_blocks+0xb4/0x3d4 [ext4dev]
 [<f98c3612>] ? ext4_da_writepages+0x156/0x1c0 [ext4dev]
 [<c044ab70>] ? trace_hardirqs_on_caller+0x16/0x11a
 [<f98c49d0>] ? ext4_da_get_block_write+0x0/0x175 [ext4dev]
 [<f98c34bc>] ? ext4_da_writepages+0x0/0x1c0 [ext4dev]
 [<c047df09>] ? do_writepages+0x28/0x39
 [<c04b5fde>] ? __writeback_single_inode+0x157/0x28f
 [<c04b62b9>] ? generic_sync_sb_inodes+0x25/0x2ab
 [<c04b647d>] ? generic_sync_sb_inodes+0x1e9/0x2ab
 [<c04b6725>] ? writeback_inodes+0x8a/0xd1
 [<c047e4dc>] ? background_writeout+0x78/0xa9
 [<c047e98a>] ? pdflush+0x10c/0x1a7
 [<c047e464>] ? background_writeout+0x0/0xa9
 [<c047e87e>] ? pdflush+0x0/0x1a7
 [<c043e22c>] ? kthread+0x40/0x66
 [<c043e1ec>] ? kthread+0x0/0x66
 [<c0404957>] ? kernel_thread_helper+0x7/0x10
 =======================
Code: 00 00 8b 07 8b 00 f6 00 02 0f 85 a2 00 00 00 8b 45 ec e8 98 fb ff ff 83 7e 0c 00 75 16 c7 46 0c 01 00 00 00 8b 47 04 85 c0 7f 04 <0f> 0b eb fe 48 89 47 04 39 5e 18 75 15 83 7e 08 01 75 0f 8b 55 
EIP: [<f976149c>] jbd2_journal_dirty_metadata+0x80/0x110 [jbd2] SS:ESP 0068:f6a5cb50
---[ end trace 127578b815b76f12 ]---
Comment 3 Tom London 2008-08-09 13:35:45 EDT
BTW, hadn't noticed this before.

I appear to have no free space left on ext4 filesystem.  I'm guessing this is related.
Comment 4 Tom London 2008-08-23 14:13:33 EDT
I ran fsck.ext4 on my corrupted extdev fs, and tried again to rsync my system (ext3) to ext4 fs.

Running kernel-2.6.27-0.273.rc4.git1.fc10.i686 I got this to complete without the above error(s).

Did this get fixed (or was I just lucky)?
Comment 5 Eric Sandeen 2008-08-23 16:37:41 EDT
Yep, the several journal credits fixes are now upstream as of -rc4.

Thanks for testing & reporting back!

-Eric

Note You need to log in before you can comment on or make changes to this bug.